TRIGGER PROCEDURE FOR REPLICATION-DELETE OF student.
/* add deleted record to replog */

/* dummy buffer so raw-transfer will treat student as buffer */
define buffer studbuf for student.
find studbuf of student no-error.

/* create replication log record */
create replog.
assign transId       = dbtaskid(ldbname(1))
       tableName     = "student"
       keyValueList = string(student.studentId)
       repEvent      = "delete"
       logDate       = today
       logTime       = time.

raw-transfer student to replog.dataRecord.
