/* auditw.i */
/*
{&dbname}      - the db of the table being audited
{&tablename}   - table name for audtable-name field
{&newbuffer}   - new buffer name usually table name e.g. student
{&oldbuffer}   - old buffer name e.g. studold
*/

if can-find(audact where audact.audtable-db = "{&dbname}"
  and audact.audtable-name = "{&tablename}"
  and (if new {&newbuffer} then audact.audevent-code = "create"
          else audact.audevent-code = "modify")
  and audact.audact-flag)
  then do:
    create audit.
    assign audit.audevent-code = if new {&newbuffer} 
                                 then "create" 
                                 else "modify"
           audit.audtable-db   = "{&dbname}"
           audit.audtable-name = "{&tablename}"
           audit.audit-user-id = userid(ldbname("sharp"))
           audit.audit-date    = today
           audit.audit-time    = time.
    raw-transfer {&newbuffer} to audit.new-record.           
    if not new {&newbuffer} then
      raw-transfer {&oldbuffer} to audit.old-record.
end. /* new audit record */
