/* nowait.p */

repeat:
    prompt-for student.studentid.
    find student using studentid exclusive-lock no-wait no-error.
    if available student then update sfirstname slastname.
    else if locked student then do:
       find student using studentid no-lock no-error.
       find _file where _file-name = "student".
       /* use first keyword otherwise unique find has overhead */
       find first _lock where _lock-recid = integer(recid(student)) 
                    and _lock-table = _file-number no-error.
       message "Student record is locked by user:" _lock-name skip
               "Please wait until later." view-as alert-box.
    end.
    else 
       message "Student number does not exist" view-as alert-box.
end.
