/* audit.i */
/*
{&file-string} - string stored in aduti-file list, usually table name
{&oldbuffer}   - old buffer name e.g. studold
{&newbuffer}   - new buffer name usually table name e.g. student
{&tablename}   - table name for audit-table field
*/

find scontrol no-lock where skey = 1 no-error.
if not available scontrol then do:
  create scontrol.
  assign skey = 1.
end.            

if lookup("{&file-string}",auditfilelist) > 0
then do:
 create audit.
  assign audit.audittype    = if new {&newbuffer} 
                               then "create" 
                               else "modify"
         audit.audittable   = "{&tablename}"
         audit.audituserid = userid(ldbname("school"))
         audit.auditdate    = today
         audit.audittime    = time.
         raw-transfer {&newbuffer} to audit.newrecord.           
         if not new {&newbuffer} then
         raw-transfer {&oldbuffer} to audit.oldrecord.
end. /* new audit record */
