/* auditd.i */
/*
{&dbname}      - the db of the table being audited
{&tablename}   - table name for audtable-name field
{&file-string} - string stored in audit-file list, usually table name
*/

find scontrol no-lock where skey = 1 no-error.
if not available scontrol then do:
  create scontrol.
  assign skey = 1.
end.            

if lookup("{&file-string}",auditfilelist) > 0
then do:
    create audit.
    assign audit.audittype    = "delete"
           audit.audittable   = "{&tablename}"
           audit.audituserid  = userid(ldbname("{&dbname}"))
           audit.auditdate    = today
           audit.audittime    = time.
    raw-transfer {&dbname}.{&tablename} to audit.oldrecord.           
end. /* new audit record */

{isadm2.i}
