/* chkchld.i */
/*
{&tablename}  - table name of the parent table record being deleted
{&childtable} - table name of the child table being checked
{&childtablelabel} - child table label used for error message
*/
def var isadm2{&childtable} as log.

if can-find(first {&childtable} of {&tablename}) then do:
  /* check if delete trigger is executing within an adm2 smartobject */
  /* if it is, then run addmessage procedure otherwise issue 
     own error message.*/

  run isadm2 (input source-procedure, output isadm2{&childtable} ).

  if isadm2{&childtable} 
  then do:
    run addmessage in source-procedure
        ("{&childtablelabel} records exist for {&tablename}, cannot delete.", 
         ?, "{&tablename}").

    return error .
  end. /* isadm2{&childtable} */
  else do:
    return error 
       "{&childtablelabel} records exist for {&tablename}, cannot delete.".
  end. /* not isadm2{&childtable} */
end.
