TRIGGER PROCEDURE FOR ASSIGN OF registration.gradePoint.
define buffer gpabuf for registration.
define buffer studgpa for student.

def var isadm2 as log no-undo.

run isadm2 (input source-procedure, output isadm2 ).

if not isadm2 then do:
  find studgpa of registration exclusive-lock no-error no-wait.
  if locked studgpa then do:
    message "Student record is locked, cannot update Grade Point field"
            view-as alert-box error.
    return error.        
  end.

  for each gpabuf of studgpa
      where gpabuf.gradePoint ne ?:
    accumulate gpabuf.gradePoint (ave).
  end.

  assign studgpa.gpa = accum ave gpabuf.gradePoint.  
end. /* not isadm2 */

{isadm2.i}


