/* isadm2.i - internal procedure to see if trigger called from adm2 */

procedure isadm2:
  /* check if delete trigger is executing within an adm2 smartobject */
  define input parameter sp as handle.
  define output parameter isadm2obj as logical.
  def var splist as char.
  def var spfilename as char.
  def var i as int.
  def var j as handle.
  splist = sp:super-procedures.
  do i = 1 to num-entries(splist):
    j = widget-handle(entry(i,splist)).
    if valid-handle(j) then do:
      if j:file-name matches "*smart.p*"
      then do:
        isadm2obj = yes.
        return.
      end. /* j:file-name matches "*smart.p*" */
    end. /* valid-handle(j) */
  end. /* i = 1 to num-entries(sp:super-procedures) */
  isadm2obj = no.
  spfilename = sp:file-name.
  if lookup("dataavailable",sp:internal-entries) > 0
  then isadm2obj = yes.
end.
