TRIGGER PROCEDURE FOR DELETE OF registration.

&SCOPED-DEFINE dbname school
&SCOPED-DEFINE tablename registration
&SCOPED-DEFINE file-string registration

define buffer gpabuf for registration.
define buffer studgpa for student.

def var isadm2 as log.

run isadm2 (input source-procedure, output isadm2{&childtable} ).

if not isadm2 then do:
  find studgpa of registration exclusive-lock no-error no-wait.
  if locked studgpa then do:
    message "Student record is locked, cannot update balance field"
            view-as alert-box error.
    return error.        
  end.
  if available studgpa then
  for each gpabuf of studgpa
      where gpabuf.gradePoint ne ?:
    accumulate gpabuf.gradePoint (ave).
  end.

  assign studgpa.gpa = accum ave gpabuf.gradePoint.  
end.

{auditd.i}


